Subject: bug#72311: [PATCH] Treat period as a symbol constituent in cc-mode

From: Vladislav Yegorov <[email-masked]>
Date: Sat, 27 Jul 2024 11:22:11 +0200

> What about stuff like 'foo.bar', where 'foo' is a struct and 'bar' is
> its member? won't this change make them a single symbol?

You are right, kind of forgot about that.  I think in that case a simple
syntax table modification like my patch provides won't do the trick.

My motivation for this patch was to able to use C-M-f (forward-sexp) to
skip over decimal numbers.  What are your thoughts on defining a
forward-sexp-function that will use a alternate syntax table in certain
contexts? maybe a bit too hacky?